diff --git a/images/drupal-operations-scripts/clone.sh b/images/drupal-operations-scripts/clone.sh
index b9d5a8e1d55cd5b4a98cd1ac3619cbdbe87f414f..ec50d628681f69c5b180cd04efa267c344cb3f6f 100755
--- a/images/drupal-operations-scripts/clone.sh
+++ b/images/drupal-operations-scripts/clone.sh
@@ -1,5 +1,9 @@
 #!/bin/sh
 
+# We want to make the job fail if a command exits with non-zero code
+# An example was an incident seen on the 11/11/2022, where rsync failed for external purposes
+set -e
+
 usage() {
   echo "Usage: $0 [--filename <filename.sql> || --path <path_for_filename>]" 1>&2;
   exit 1;